%{!?pyver: %global pyver %(%{__python} -c "import sys ; print(sys.version[:3])")}

Name:           pynac
Version:        0.3.9.2
Release:        2%{?dist}
Summary:        Manipulation of symbolic expressions
Group:          Development/Languages
License:        GPLv2+
URL:            http://pynac.org/
Source0:        http://www.sagemath.org/packages/upstream/pynac/%{name}-%{version}.tar.bz2

BuildRequires:  python-devel


%description
Pynac is a derivative of the C++ library GiNaC, which allows manipulation of
symbolic expressions. It currently provides the backend for symbolic
expressions in Sage.

The main difference between Pynac and GiNaC is that Pynac relies on Sage to
provide the operations on numerical types, while GiNaC depends on CLN for this
purpose.


%package        devel
Summary:        Development headers and libraries for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig


%description    devel
Headers and libraries for developing with %{name}.


%prep
%setup -q
# Library major is "unbumped"
# https://github.com/pynac/pynac/issues/101

%build
export CXXFLAGS="%{optflags} -I%{_includedir}/python%{pyver}"
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/lib%{name}.so.*


%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 11 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.3.9.2-1
- Update to 0.3.9.2, required by newer sagemath

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.2-6
- Rebuilt for GCC 5 C++11 ABI change

* Fri Apr  3 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.3.2-5
- Rebuild for new c++ string and list abi

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.3.2-2
- Update metadata and rebuild.

* Mon May 26 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.3.2-1
- Update to latest upstream release.

* Sat Sep 14 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.3.0-1
- Update to latest upstream release.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 12 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.2.5-1
- Update to latest upstream release.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.2.4-1
- Update to latest upstream release.

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 17 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.2.3-1
- update to new version (#731321)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec  7 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.2.1-1
- update to new version
- fix ftbfs #631289

* Wed Jan 27 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.1.11-1
- update to new version
- use {buildroot} and {optflags}
- install preserving timestamps
- R: pkgconfig

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.1.10-1
- update to new version
- use %%global and not %%define

* Fri Oct 16 2009 Thomas Spura <tomspur@fedoraproject.org> - 0.1.9-2
- disable static librariy

* Sun Oct 11 2009 Thomas Spura <tomspur@fedoraproject.org> - 0.1.9-1
- Bumped to new version 0.1.9
- description modified

* Sat Mar 21 2009 Conrad Meyer <konrad@tylerc.org> - 0.1.3-1
- Initial package.
